{% load i18n %}

<div id="{{ modal_id }}Modal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog {{ modal_additional_class }}" role="document">
        <form id="{{ modal_id }}-form" method="{{ modal_form_method|default:"post" }}" action="{{ modal_action }}" enctype="{{ modal_enctype|default:"application/x-www-form-urlencoded" }}">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{ modal_title }}</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">{{ modal_content }}</div>
                <div class="modal-footer">
                    {{ extra_modal_button }}
                    {% if modal_button %}
                        <button type="submit" class="btn btn-{{ modal_button_type|default:"primary" }}">{{ modal_button }}</button>
                    {% endif %}
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{% trans "Close" %}</button>
                </div>
            </div>
        </form>
    </div>
</div>